/**
 * @description: 路由
 * @author: nowThen
 */

import Vue from 'vue';
import Router from 'vue-router';
import marketingClose from "@/views/navigation/accounts/marketingClose"
import memberCancel from "@/views/navigation/memberCancel"
import memberGathering from "@/views/navigation/consume/memberGathering"
import memberIntegral from "@/views/navigation/integral/memberIntegral"
import AddEnd from "@/views/navigation/integral/AddEnd"
import memberTicket from "@/views/navigation/ticket/memberTicket"
import ticketDetails from "@/views/navigation/ticket/ticketDetails"
import chPhone from "@/views/navigation/ticket/chPhone"
import details from "@/views/navigation/details"
import commodity from "@/views/navigation/commodity"
import buyExplain from "@/views/navigation/buyExplain"
import accomplish from "@/views/navigation/accomplish"
import billing from "@/views/navigation/billing"
import todayConsume from "@/views/navigation/consume/todayConsume"
import current from "@/views/navigation/consume/current"
import integralParticulars from "@/views/navigation/integral/integralParticulars"
import userMessage from "@/views/navigation/integral/userMessage"  

import Login from '@/views/login'
import Home  from '@/views/home'
import Person  from '@/views/person'
import PointRecord  from '@/views/person/pointRecord.vue'
import MyTicket  from '@/views/person/myTicket.vue'
import UserInfo  from '@/views/person/userInfo.vue'
import Account  from '@/views/person/account.vue'
import RecordDetail  from '@/views/home/recordDetail.vue'

Vue.use(Router);

const routes = [
  {
    path: '/',
    name: 'login',
    component: Login,
    meta: {
      isShowNav: false,
      title: '登陆'
    }
  },
  {
    path: '/home',
    name: 'home',
    component: Home,
    meta: {
      isShowNav: true,
      title: '首页'
    }
  },
  {
    path: '/recordDetail',
    name: 'recordDetail',
    component: RecordDetail,
    meta: {
      isShowNav: true,
      title: '交易详情'
    }
  },
  /* {
    path: '/demo',
    name: 'demo',
    component: Demo,
    meta: {
      title: '组件Demo_1', // 标题
      requireAuth: false, // 登录权限
      keepAlive: false,
    }
  }, */
  {
    path: '/person',
    name: 'person',
    component: Person,
    meta: {
      isShowNav: true,
      title: '我的'
    }
  },
  {
    path: '/account',
    name: 'account',
    component: Account,
    meta: {
      isShowNav: false,
      title: '收款账户管理'
    }
  },
  {
    path: '/myTicket',
    name: 'myTicket',
    component: MyTicket,
    meta: {
      isShowNav: false,
      title: '赠券库存'
    }
  },
  {
    path: '/pointRecord',
    name: 'pointRecord',
    component: PointRecord,
    meta: {
      isShowNav: false,
      title: '积分操作记录'
    }
  },
  {
    path: '/userInfo',
    name: 'userInfo',
    component: UserInfo,
    meta: {
      isShowNav: false,
      title: '登陆信息'
    }
  },
  {
    path: '/marketingClose',//营销结算
    name: 'marketingClose',
    component:marketingClose
    
  },
  {
    path: '/memberCancel',//会员核销
    name: 'memberCancel',
    component:memberCancel
    
  },
  {
    path: '/buyExplain',//购买须知
    name: 'buyExplain',
    component:buyExplain
  },
  {
    path: '/memberGathering',//消费卡收款
    name: 'memberGathering',
    component:memberGathering
    
  },
  {
    path: '/memberIntegral',//会员积分
    name: 'memberIntegral',
    component:memberIntegral
    
  },
  {
    path: '/AddEnd',//会员积分 添加完成
    name: 'AddEnd',
    component:AddEnd
    
  },
  {
    path: '/integralParticulars',//会员积分 - 查询详情页  
    name: 'integralParticulars',
    component:integralParticulars
    
  },
  {
    path: '/userMessage',//会员积分 - 查询详情页 -会员详情
    name: 'userMessage',
    component:userMessage
    
  },
  {
    path: '/memberTicket',//会员赠券  
    name: 'memberTicket',
    component:memberTicket
    
  },
  {
    path: '/chPhone',//会员赠券 - 详情页 
    name: 'chPhone',
    component:chPhone
    
  },
  {
    path: '/ticketDetails',//会员赠券 - 详情页 
    name: 'ticketDetails',
    component:ticketDetails
    
  },
  {
    path: '/details',//手动核销 子页面 
    name: 'details',
    component:details
    
  },
  {
    path: '/commodity',//核销  详情页 
    name: 'commodity',
    component:commodity
    
  },
  {
    path: '/accomplish',//核销 完成返回页面 
    name: 'accomplish',
    component:accomplish
    
  },
  {
    path: '/billing',//核销 账单  
    name: 'billing',
    component:billing
    
  },
  {
    path: '/todayConsume',//消费卡收款 -当日记录
    name: 'todayConsume',
    component:todayConsume
    
  },
  {
    path: '/current',//消费卡收款 -当日记录
    name: 'current',
    component:current
    
  },

];

const router = new Router({
  // mode: 'history',
  mode: 'hash',
  routes
})

export default router;
